textures/rpg_chambers/asteroid-sky
{
	qer_editorimage env/asteroids/astr_qer1.tga
	q3map_lightimageenv/asteroids/Astr512_up.tga
	q3map_surfacelight 50
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 .98 .9 50 0 90
	skyparms env/asteroids/Astr512 1200 -
    {
        map textures/rpg_chambers/cloud2.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        tcMod scale 10 10
        tcMod scroll 0.02 0.02
    }
}


textures/rpg_chambers/asteroids
{
    qer_editorimage env/asteroids/jhnebula1_ft.tga
    q3map_lightimage textures/mag/jhnebula1_ft.tga
    q3map_surfacelight 200
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 175 65 45
    skyParms env/asteroids/jhnebula1 1200 -
}

textures/rpg_chambers/marble
{
    qer_editorimage textures/rpg_chambers/marble.tga
    portal
    {
        map textures/rpg_chambers/marble.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        depthWrite
        alphaGen portal 1024
        tcMod scale 3 3
    }
    {
        map $lightmap
        blendFunc GL_ZERO GL_SRC_COLOR
    }
}

textures/rpg_chambers/screen
{
    qer_editorimage textures/stasis/portal.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    portal
    {
        map textures/dreadnought/bluestatic.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        alphaGen portal 500
        tcMod scroll 3561 67751
    }
}

textures/rpg_chambers/redpower
{
        q3map_surfacelight 612
    	surfaceparm nolightmap
    {
        map textures/rpg_chambers/redpower.tga
        tcMod scale 0.20 0.20 
	tcMod rotate -12 
    }
    {
        map textures/rpg_chambers/energy.tga
        blendFunc GL_DST_COLOR GL_ONE
	tcMod scale 0.22 0.05 
	tcMod rotate 10  
    }
    {
        map textures/rpg_chambers/energy.tga
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.05 0.35 
	tcMod rotate 15 
    }
    {
        map textures/rpg_chambers/redenergy.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 0.25 0.25
        tcMod scroll -0.5 -1.2
    }
}

textures/rpg_chambers/caution_bar
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/caution_bar.tga
    }
}

textures/rpg_chambers/forcefield
{
    qer_editorimage textures/borg/static2.tga
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm trans
    surfaceparm monsterclip
    surfaceparm shotclip
    {
        map textures/borg/static2.tga
        blendFunc GL_ONE GL_ONE
        depthWrite
        tcMod scroll 1292.7 11233.9
    }
}

textures/rpg_chambers/overlight
{
	qer_editorimage textures/sickbay/overlight.tga    
	q3map_surfacelight 500
	q3map_lightsubdivide 32
	surfaceparm nolightmap
    {
        map textures/sickbay/overlight.tga
    }
}

textures/rpg_chambers/shuttle
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/rpg_chambers/shuttle.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ONE
    }
}

textures/rpg_chambers/nonreflcetive_marble
{
    qer_editorimage textures/rpg_chambers/nonreflcetive_marble.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    {
		map textures/common/black.tga
		rgbGen identity
		tcGen environment
	}
	{
		map textures/rpg_chambers/nonreflcetive_marble.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA			
		rgbGen identity
		
	}
	{
		map textures/rpg_chambers/nonreflcetive_marble.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin	0.81 0.1 0 .5
		detail
	}
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        detail
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/system1
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/words.tga
        tcMod scroll 0 0.03
    }
    {
        animMap 0.9 textures/rpg_chambers/lcars_display1.tga textures/rpg_chambers/lcars_display2.tga textures/rpg_chambers/lcars_display3.tga textures/rpg_chambers/lcars_display4.tga textures/rpg_chambers/lcars_display5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/rpg_chambers/system1.tga
        alphaFunc GE128
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/admirality
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/admirality.tga
    }
    {
        animMap 0.9 textures/rpg_chambers/lcars_display1.tga textures/rpg_chambers/lcars_display2.tga textures/rpg_chambers/lcars_display3.tga textures/rpg_chambers/lcars_display4.tga textures/rpg_chambers/lcars_display5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/council
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/council.tga
    }
    {
        animMap 0.9 textures/rpg_chambers/lcars_display1.tga textures/rpg_chambers/lcars_display2.tga textures/rpg_chambers/lcars_display3.tga textures/rpg_chambers/lcars_display4.tga textures/rpg_chambers/lcars_display5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/shuttlebay
{
    surfaceparm nolightmap
    {
	map textures/rpg_chambers/shuttlebay_numbers.tga
	tcMod scroll 0.03 0
    }
    {
	map textures/rpg_chambers/shuttlebay.tga
	alphaFunc GE128
    }
    {
        animMap 0.9 textures/rpg_chambers/shuttlebay_1.tga textures/rpg_chambers/shuttlebay_2.tga textures/rpg_chambers/shuttlebay_3.tga textures/rpg_chambers/shuttlebay_4.tga textures/rpg_chambers/shuttlebay_5.tga textures/rpg_chambers/shuttlebay_6.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/small_panel
{
    surfaceparm nolightmap
    {
	map textures/rpg_chambers/small_panel
    }
    {
        map textures/engineering/glass1.tga
	blendFunc GL_ONE GL_ONEMINUS_SRC_COLOR
	rgbGen identity
	tcGen environment
	tcMod scale 3 3
    }
}

textures/rpg_chambers/brigsystems
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/brigsystems.tga
    }
    {
        animMap 0.5 textures/rpg_chambers/brigsystems_display1.tga textures/rpg_chambers/brigsystems_display2.tga textures/rpg_chambers/brigsystems_display3.tga textures/rpg_chambers/brigsystems_display4.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/jury
{
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/jury.tga
    }
    {
        animMap 0.9 textures/rpg_chambers/lcars_display1.tga textures/rpg_chambers/lcars_display2.tga textures/rpg_chambers/lcars_display3.tga textures/rpg_chambers/lcars_display4.tga textures/rpg_chambers/lcars_display5.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        animMap 0.5 textures/rpg_chambers/brigsystems_display1.tga textures/rpg_chambers/brigsystems_display2.tga textures/rpg_chambers/brigsystems_display3.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/rpg_chambers/rpglogo 
{ 
    surfaceparm nolightmap 
    polygonOffset 
    { 
        clampmap textures/rpg_chambers/rpglogo.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen identity        
    } 
}

textures/rpg_chambers/rulingcouncil_a 
{ 
    surfaceparm nolightmap 
    polygonOffset 
    { 
        clampmap textures/rpg_chambers/rulingcouncil_a.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen identity        
    } 
}

textures/rpg_chambers/admrials_a
{ 
    surfaceparm nolightmap 
    polygonOffset 
    { 
        clampmap textures/rpg_chambers/admrials_a.tga 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen identity        
    } 
}

textures/rpg_chambers/emergancylight
{
    //q3map_lightStyle 1
    q3map_surfacelight 1225
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/emergancylight.tga
    }
}

textures/rpg_chambers/light
{
    //q3map_lightStyle 1
    q3map_surfacelight 1225
    surfaceparm nolightmap
    {
        map textures/rpg_chambers/light.tga
    }	
}